Update a goods out order
curl --request PATCH \
--url https://clarus-api.com/api/goods_outs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "goods_outs",
"attributes": {
"account_id": 1,
"expected_date_of_dispatch": "2024-01-20T10:00:00Z",
"goods_out_type": "sales_order",
"reference": "ORD-001",
"actual_date_of_dispatch": "2024-01-20T14:30:00Z",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true,
"carrier_id": 5,
"carrier_service_id": 12,
"customer_id": 42,
"datetime1": "2024-01-20T10:00:00Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"delivery_notes": "Leave at reception if no answer",
"dispatch_strategy": "auto",
"drop_sequence": 3,
"external_system_reference1": "EXT-001",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_out_status_id": 2,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"integration_id": 7,
"lines_changes": [
{
"attributes": {
"alt_line_note": "<string>",
"alt_line_number": "<string>",
"alt_line_reference": "<string>",
"alt_product_code": "<string>",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true,
"carrier_id": 5,
"carrier_service_id": 12,
"datetime1": "2023-11-07T05:31:56Z",
"datetime1_from": "2023-11-07T05:31:56Z",
"datetime1_to": "2023-11-07T05:31:56Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime2_from": "2023-11-07T05:31:56Z",
"datetime2_to": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime3_from": "2023-11-07T05:31:56Z",
"datetime3_to": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime4_from": "2023-11-07T05:31:56Z",
"datetime4_to": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"datetime5_from": "2023-11-07T05:31:56Z",
"datetime5_to": "2023-11-07T05:31:56Z",
"external_system_reference1": "<string>",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_in_receipt_line_id": 123,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"order_quantity": 1,
"ordered_configurations_quantity": 1,
"product_id": 123,
"stock_description": "<string>",
"stock_to_pick_id": 123,
"storage_unit_reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
},
"id": 123
}
],
"load_reference": "LOAD-2024-001",
"location_id": 100,
"order_notes": "Priority customer - handle with care",
"order_type_id": 1,
"original_delivery_address_id": 123,
"pack_strategy": "pack_by_line",
"packing_notes": "Use fragile stickers",
"pick_notes": "Check expiry dates",
"pick_reference": "PICK-BATCH-001",
"pick_type": "standard",
"priority": 1,
"short_order_lines_description": "<string>",
"short_order_lines_reason_code_id": 123,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>",
"warehouse_id": 1
},
"relationships": {
"address": {
"data": {
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_2": "Unit 4B",
"address_3": "London",
"address_4": "Greater London",
"postcode": "SW1A 1AA",
"country_code": "GB",
"email_address": "[email protected]",
"phone_number": "+44 20 7946 0958"
}
}
}
}
}
}
'import requests
url = "https://clarus-api.com/api/goods_outs/{id}"
payload = { "data": {
"type": "goods_outs",
"attributes": {
"account_id": 1,
"expected_date_of_dispatch": "2024-01-20T10:00:00Z",
"goods_out_type": "sales_order",
"reference": "ORD-001",
"actual_date_of_dispatch": "2024-01-20T14:30:00Z",
"boolean1": True,
"boolean2": True,
"boolean3": True,
"boolean4": True,
"boolean5": True,
"carrier_id": 5,
"carrier_service_id": 12,
"customer_id": 42,
"datetime1": "2024-01-20T10:00:00Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"delivery_notes": "Leave at reception if no answer",
"dispatch_strategy": "auto",
"drop_sequence": 3,
"external_system_reference1": "EXT-001",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_out_status_id": 2,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"integration_id": 7,
"lines_changes": [
{
"attributes": {
"alt_line_note": "<string>",
"alt_line_number": "<string>",
"alt_line_reference": "<string>",
"alt_product_code": "<string>",
"boolean1": True,
"boolean2": True,
"boolean3": True,
"boolean4": True,
"boolean5": True,
"carrier_id": 5,
"carrier_service_id": 12,
"datetime1": "2023-11-07T05:31:56Z",
"datetime1_from": "2023-11-07T05:31:56Z",
"datetime1_to": "2023-11-07T05:31:56Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime2_from": "2023-11-07T05:31:56Z",
"datetime2_to": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime3_from": "2023-11-07T05:31:56Z",
"datetime3_to": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime4_from": "2023-11-07T05:31:56Z",
"datetime4_to": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"datetime5_from": "2023-11-07T05:31:56Z",
"datetime5_to": "2023-11-07T05:31:56Z",
"external_system_reference1": "<string>",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_in_receipt_line_id": 123,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"order_quantity": 1,
"ordered_configurations_quantity": 1,
"product_id": 123,
"stock_description": "<string>",
"stock_to_pick_id": 123,
"storage_unit_reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
},
"id": 123
}
],
"load_reference": "LOAD-2024-001",
"location_id": 100,
"order_notes": "Priority customer - handle with care",
"order_type_id": 1,
"original_delivery_address_id": 123,
"pack_strategy": "pack_by_line",
"packing_notes": "Use fragile stickers",
"pick_notes": "Check expiry dates",
"pick_reference": "PICK-BATCH-001",
"pick_type": "standard",
"priority": 1,
"short_order_lines_description": "<string>",
"short_order_lines_reason_code_id": 123,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>",
"warehouse_id": 1
},
"relationships": { "address": { "data": {
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_2": "Unit 4B",
"address_3": "London",
"address_4": "Greater London",
"postcode": "SW1A 1AA",
"country_code": "GB",
"email_address": "[email protected]",
"phone_number": "+44 20 7946 0958"
}
} } }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'goods_outs',
attributes: {
account_id: 1,
expected_date_of_dispatch: '2024-01-20T10:00:00Z',
goods_out_type: 'sales_order',
reference: 'ORD-001',
actual_date_of_dispatch: '2024-01-20T14:30:00Z',
boolean1: true,
boolean2: true,
boolean3: true,
boolean4: true,
boolean5: true,
carrier_id: 5,
carrier_service_id: 12,
customer_id: 42,
datetime1: '2024-01-20T10:00:00Z',
datetime2: '2023-11-07T05:31:56Z',
datetime3: '2023-11-07T05:31:56Z',
datetime4: '2023-11-07T05:31:56Z',
datetime5: '2023-11-07T05:31:56Z',
delivery_notes: 'Leave at reception if no answer',
dispatch_strategy: 'auto',
drop_sequence: 3,
external_system_reference1: 'EXT-001',
external_system_reference2: '<string>',
external_system_reference3: '<string>',
goods_out_status_id: 2,
integer1: 123,
integer2: 123,
integer3: 123,
integer4: 123,
integer5: 123,
integration_id: 7,
lines_changes: [
{
attributes: {
alt_line_note: '<string>',
alt_line_number: '<string>',
alt_line_reference: '<string>',
alt_product_code: '<string>',
boolean1: true,
boolean2: true,
boolean3: true,
boolean4: true,
boolean5: true,
carrier_id: 5,
carrier_service_id: 12,
datetime1: '2023-11-07T05:31:56Z',
datetime1_from: '2023-11-07T05:31:56Z',
datetime1_to: '2023-11-07T05:31:56Z',
datetime2: '2023-11-07T05:31:56Z',
datetime2_from: '2023-11-07T05:31:56Z',
datetime2_to: '2023-11-07T05:31:56Z',
datetime3: '2023-11-07T05:31:56Z',
datetime3_from: '2023-11-07T05:31:56Z',
datetime3_to: '2023-11-07T05:31:56Z',
datetime4: '2023-11-07T05:31:56Z',
datetime4_from: '2023-11-07T05:31:56Z',
datetime4_to: '2023-11-07T05:31:56Z',
datetime5: '2023-11-07T05:31:56Z',
datetime5_from: '2023-11-07T05:31:56Z',
datetime5_to: '2023-11-07T05:31:56Z',
external_system_reference1: '<string>',
external_system_reference2: '<string>',
external_system_reference3: '<string>',
goods_in_receipt_line_id: 123,
integer1: 123,
integer2: 123,
integer3: 123,
integer4: 123,
integer5: 123,
order_quantity: 1,
ordered_configurations_quantity: 1,
product_id: 123,
stock_description: '<string>',
stock_to_pick_id: 123,
storage_unit_reference: '<string>',
string1: '<string>',
string2: '<string>',
string3: '<string>',
string4: '<string>',
string5: '<string>'
},
id: 123
}
],
load_reference: 'LOAD-2024-001',
location_id: 100,
order_notes: 'Priority customer - handle with care',
order_type_id: 1,
original_delivery_address_id: 123,
pack_strategy: 'pack_by_line',
packing_notes: 'Use fragile stickers',
pick_notes: 'Check expiry dates',
pick_reference: 'PICK-BATCH-001',
pick_type: 'standard',
priority: 1,
short_order_lines_description: '<string>',
short_order_lines_reason_code_id: 123,
string1: '<string>',
string2: '<string>',
string3: '<string>',
string4: '<string>',
string5: '<string>',
warehouse_id: 1
},
relationships: {
address: {
data: {
type: 'addresses',
attributes: {
name: 'John Smith',
address_1: '123 Main Street',
address_2: 'Unit 4B',
address_3: 'London',
address_4: 'Greater London',
postcode: 'SW1A 1AA',
country_code: 'GB',
email_address: '[email protected]',
phone_number: '+44 20 7946 0958'
}
}
}
}
}
})
};
fetch('https://clarus-api.com/api/goods_outs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": 123,
"type": "goods_outs",
"attributes": {
"account_id": 1,
"expected_date_of_dispatch": "2024-01-20T10:00:00Z",
"goods_out_type": "sales_order",
"reference": "ORD-001",
"actual_date_of_dispatch": "2024-01-20T14:30:00Z",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true,
"carrier_id": 5,
"carrier_service_id": 12,
"customer_id": 42,
"datetime1": "2024-01-20T10:00:00Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"delivery_notes": "Leave at reception if no answer",
"dispatch_strategy": "auto",
"drop_sequence": 3,
"external_system_reference1": "EXT-001",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_out_status_id": 2,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"integration_id": 7,
"lines_changes": [
{
"attributes": {
"alt_line_note": "<string>",
"alt_line_number": "<string>",
"alt_line_reference": "<string>",
"alt_product_code": "<string>",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true,
"carrier_id": 5,
"carrier_service_id": 12,
"datetime1": "2023-11-07T05:31:56Z",
"datetime1_from": "2023-11-07T05:31:56Z",
"datetime1_to": "2023-11-07T05:31:56Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime2_from": "2023-11-07T05:31:56Z",
"datetime2_to": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime3_from": "2023-11-07T05:31:56Z",
"datetime3_to": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime4_from": "2023-11-07T05:31:56Z",
"datetime4_to": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"datetime5_from": "2023-11-07T05:31:56Z",
"datetime5_to": "2023-11-07T05:31:56Z",
"external_system_reference1": "<string>",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_in_receipt_line_id": 123,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"order_quantity": 1,
"ordered_configurations_quantity": 1,
"product_id": 123,
"stock_description": "<string>",
"stock_to_pick_id": 123,
"storage_unit_reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
},
"id": 123
}
],
"load_reference": "LOAD-2024-001",
"location_id": 100,
"order_notes": "Priority customer - handle with care",
"order_type_id": 1,
"original_delivery_address_id": 123,
"pack_strategy": "pack_by_line",
"packing_notes": "Use fragile stickers",
"pick_notes": "Check expiry dates",
"pick_reference": "PICK-BATCH-001",
"pick_type": "standard",
"priority": 1,
"short_order_lines_description": "<string>",
"short_order_lines_reason_code_id": 123,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>",
"warehouse_id": 1
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Goods Out: Orders
Update a goods out order
Update an existing goods out order. Use lines_changes to add, update, or remove line items. Orders that have started picking may have restrictions on what can be changed.
PATCH
/
api
/
goods_outs
/
{id}
Update a goods out order
curl --request PATCH \
--url https://clarus-api.com/api/goods_outs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "goods_outs",
"attributes": {
"account_id": 1,
"expected_date_of_dispatch": "2024-01-20T10:00:00Z",
"goods_out_type": "sales_order",
"reference": "ORD-001",
"actual_date_of_dispatch": "2024-01-20T14:30:00Z",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true,
"carrier_id": 5,
"carrier_service_id": 12,
"customer_id": 42,
"datetime1": "2024-01-20T10:00:00Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"delivery_notes": "Leave at reception if no answer",
"dispatch_strategy": "auto",
"drop_sequence": 3,
"external_system_reference1": "EXT-001",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_out_status_id": 2,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"integration_id": 7,
"lines_changes": [
{
"attributes": {
"alt_line_note": "<string>",
"alt_line_number": "<string>",
"alt_line_reference": "<string>",
"alt_product_code": "<string>",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true,
"carrier_id": 5,
"carrier_service_id": 12,
"datetime1": "2023-11-07T05:31:56Z",
"datetime1_from": "2023-11-07T05:31:56Z",
"datetime1_to": "2023-11-07T05:31:56Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime2_from": "2023-11-07T05:31:56Z",
"datetime2_to": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime3_from": "2023-11-07T05:31:56Z",
"datetime3_to": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime4_from": "2023-11-07T05:31:56Z",
"datetime4_to": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"datetime5_from": "2023-11-07T05:31:56Z",
"datetime5_to": "2023-11-07T05:31:56Z",
"external_system_reference1": "<string>",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_in_receipt_line_id": 123,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"order_quantity": 1,
"ordered_configurations_quantity": 1,
"product_id": 123,
"stock_description": "<string>",
"stock_to_pick_id": 123,
"storage_unit_reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
},
"id": 123
}
],
"load_reference": "LOAD-2024-001",
"location_id": 100,
"order_notes": "Priority customer - handle with care",
"order_type_id": 1,
"original_delivery_address_id": 123,
"pack_strategy": "pack_by_line",
"packing_notes": "Use fragile stickers",
"pick_notes": "Check expiry dates",
"pick_reference": "PICK-BATCH-001",
"pick_type": "standard",
"priority": 1,
"short_order_lines_description": "<string>",
"short_order_lines_reason_code_id": 123,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>",
"warehouse_id": 1
},
"relationships": {
"address": {
"data": {
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_2": "Unit 4B",
"address_3": "London",
"address_4": "Greater London",
"postcode": "SW1A 1AA",
"country_code": "GB",
"email_address": "[email protected]",
"phone_number": "+44 20 7946 0958"
}
}
}
}
}
}
'import requests
url = "https://clarus-api.com/api/goods_outs/{id}"
payload = { "data": {
"type": "goods_outs",
"attributes": {
"account_id": 1,
"expected_date_of_dispatch": "2024-01-20T10:00:00Z",
"goods_out_type": "sales_order",
"reference": "ORD-001",
"actual_date_of_dispatch": "2024-01-20T14:30:00Z",
"boolean1": True,
"boolean2": True,
"boolean3": True,
"boolean4": True,
"boolean5": True,
"carrier_id": 5,
"carrier_service_id": 12,
"customer_id": 42,
"datetime1": "2024-01-20T10:00:00Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"delivery_notes": "Leave at reception if no answer",
"dispatch_strategy": "auto",
"drop_sequence": 3,
"external_system_reference1": "EXT-001",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_out_status_id": 2,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"integration_id": 7,
"lines_changes": [
{
"attributes": {
"alt_line_note": "<string>",
"alt_line_number": "<string>",
"alt_line_reference": "<string>",
"alt_product_code": "<string>",
"boolean1": True,
"boolean2": True,
"boolean3": True,
"boolean4": True,
"boolean5": True,
"carrier_id": 5,
"carrier_service_id": 12,
"datetime1": "2023-11-07T05:31:56Z",
"datetime1_from": "2023-11-07T05:31:56Z",
"datetime1_to": "2023-11-07T05:31:56Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime2_from": "2023-11-07T05:31:56Z",
"datetime2_to": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime3_from": "2023-11-07T05:31:56Z",
"datetime3_to": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime4_from": "2023-11-07T05:31:56Z",
"datetime4_to": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"datetime5_from": "2023-11-07T05:31:56Z",
"datetime5_to": "2023-11-07T05:31:56Z",
"external_system_reference1": "<string>",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_in_receipt_line_id": 123,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"order_quantity": 1,
"ordered_configurations_quantity": 1,
"product_id": 123,
"stock_description": "<string>",
"stock_to_pick_id": 123,
"storage_unit_reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
},
"id": 123
}
],
"load_reference": "LOAD-2024-001",
"location_id": 100,
"order_notes": "Priority customer - handle with care",
"order_type_id": 1,
"original_delivery_address_id": 123,
"pack_strategy": "pack_by_line",
"packing_notes": "Use fragile stickers",
"pick_notes": "Check expiry dates",
"pick_reference": "PICK-BATCH-001",
"pick_type": "standard",
"priority": 1,
"short_order_lines_description": "<string>",
"short_order_lines_reason_code_id": 123,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>",
"warehouse_id": 1
},
"relationships": { "address": { "data": {
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_2": "Unit 4B",
"address_3": "London",
"address_4": "Greater London",
"postcode": "SW1A 1AA",
"country_code": "GB",
"email_address": "[email protected]",
"phone_number": "+44 20 7946 0958"
}
} } }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'goods_outs',
attributes: {
account_id: 1,
expected_date_of_dispatch: '2024-01-20T10:00:00Z',
goods_out_type: 'sales_order',
reference: 'ORD-001',
actual_date_of_dispatch: '2024-01-20T14:30:00Z',
boolean1: true,
boolean2: true,
boolean3: true,
boolean4: true,
boolean5: true,
carrier_id: 5,
carrier_service_id: 12,
customer_id: 42,
datetime1: '2024-01-20T10:00:00Z',
datetime2: '2023-11-07T05:31:56Z',
datetime3: '2023-11-07T05:31:56Z',
datetime4: '2023-11-07T05:31:56Z',
datetime5: '2023-11-07T05:31:56Z',
delivery_notes: 'Leave at reception if no answer',
dispatch_strategy: 'auto',
drop_sequence: 3,
external_system_reference1: 'EXT-001',
external_system_reference2: '<string>',
external_system_reference3: '<string>',
goods_out_status_id: 2,
integer1: 123,
integer2: 123,
integer3: 123,
integer4: 123,
integer5: 123,
integration_id: 7,
lines_changes: [
{
attributes: {
alt_line_note: '<string>',
alt_line_number: '<string>',
alt_line_reference: '<string>',
alt_product_code: '<string>',
boolean1: true,
boolean2: true,
boolean3: true,
boolean4: true,
boolean5: true,
carrier_id: 5,
carrier_service_id: 12,
datetime1: '2023-11-07T05:31:56Z',
datetime1_from: '2023-11-07T05:31:56Z',
datetime1_to: '2023-11-07T05:31:56Z',
datetime2: '2023-11-07T05:31:56Z',
datetime2_from: '2023-11-07T05:31:56Z',
datetime2_to: '2023-11-07T05:31:56Z',
datetime3: '2023-11-07T05:31:56Z',
datetime3_from: '2023-11-07T05:31:56Z',
datetime3_to: '2023-11-07T05:31:56Z',
datetime4: '2023-11-07T05:31:56Z',
datetime4_from: '2023-11-07T05:31:56Z',
datetime4_to: '2023-11-07T05:31:56Z',
datetime5: '2023-11-07T05:31:56Z',
datetime5_from: '2023-11-07T05:31:56Z',
datetime5_to: '2023-11-07T05:31:56Z',
external_system_reference1: '<string>',
external_system_reference2: '<string>',
external_system_reference3: '<string>',
goods_in_receipt_line_id: 123,
integer1: 123,
integer2: 123,
integer3: 123,
integer4: 123,
integer5: 123,
order_quantity: 1,
ordered_configurations_quantity: 1,
product_id: 123,
stock_description: '<string>',
stock_to_pick_id: 123,
storage_unit_reference: '<string>',
string1: '<string>',
string2: '<string>',
string3: '<string>',
string4: '<string>',
string5: '<string>'
},
id: 123
}
],
load_reference: 'LOAD-2024-001',
location_id: 100,
order_notes: 'Priority customer - handle with care',
order_type_id: 1,
original_delivery_address_id: 123,
pack_strategy: 'pack_by_line',
packing_notes: 'Use fragile stickers',
pick_notes: 'Check expiry dates',
pick_reference: 'PICK-BATCH-001',
pick_type: 'standard',
priority: 1,
short_order_lines_description: '<string>',
short_order_lines_reason_code_id: 123,
string1: '<string>',
string2: '<string>',
string3: '<string>',
string4: '<string>',
string5: '<string>',
warehouse_id: 1
},
relationships: {
address: {
data: {
type: 'addresses',
attributes: {
name: 'John Smith',
address_1: '123 Main Street',
address_2: 'Unit 4B',
address_3: 'London',
address_4: 'Greater London',
postcode: 'SW1A 1AA',
country_code: 'GB',
email_address: '[email protected]',
phone_number: '+44 20 7946 0958'
}
}
}
}
}
})
};
fetch('https://clarus-api.com/api/goods_outs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": 123,
"type": "goods_outs",
"attributes": {
"account_id": 1,
"expected_date_of_dispatch": "2024-01-20T10:00:00Z",
"goods_out_type": "sales_order",
"reference": "ORD-001",
"actual_date_of_dispatch": "2024-01-20T14:30:00Z",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true,
"carrier_id": 5,
"carrier_service_id": 12,
"customer_id": 42,
"datetime1": "2024-01-20T10:00:00Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"delivery_notes": "Leave at reception if no answer",
"dispatch_strategy": "auto",
"drop_sequence": 3,
"external_system_reference1": "EXT-001",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_out_status_id": 2,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"integration_id": 7,
"lines_changes": [
{
"attributes": {
"alt_line_note": "<string>",
"alt_line_number": "<string>",
"alt_line_reference": "<string>",
"alt_product_code": "<string>",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true,
"carrier_id": 5,
"carrier_service_id": 12,
"datetime1": "2023-11-07T05:31:56Z",
"datetime1_from": "2023-11-07T05:31:56Z",
"datetime1_to": "2023-11-07T05:31:56Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime2_from": "2023-11-07T05:31:56Z",
"datetime2_to": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime3_from": "2023-11-07T05:31:56Z",
"datetime3_to": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime4_from": "2023-11-07T05:31:56Z",
"datetime4_to": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"datetime5_from": "2023-11-07T05:31:56Z",
"datetime5_to": "2023-11-07T05:31:56Z",
"external_system_reference1": "<string>",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"goods_in_receipt_line_id": 123,
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"order_quantity": 1,
"ordered_configurations_quantity": 1,
"product_id": 123,
"stock_description": "<string>",
"stock_to_pick_id": 123,
"storage_unit_reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
},
"id": 123
}
],
"load_reference": "LOAD-2024-001",
"location_id": 100,
"order_notes": "Priority customer - handle with care",
"order_type_id": 1,
"original_delivery_address_id": 123,
"pack_strategy": "pack_by_line",
"packing_notes": "Use fragile stickers",
"pick_notes": "Check expiry dates",
"pick_reference": "PICK-BATCH-001",
"pick_type": "standard",
"priority": 1,
"short_order_lines_description": "<string>",
"short_order_lines_reason_code_id": 123,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>",
"warehouse_id": 1
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Request Structure
{
"data": {
"type": "goods_outs",
"attributes": {
"reference": "SO-001-REV",
"expected_date_of_dispatch": "2024-01-25T10:00:00Z",
"lines_changes": [
{
"type": "UPDATE",
"id": 456,
"attributes": {
"order_quantity": 15
}
},
{
"type": "REMOVE",
"id": 789
}
]
},
"relationships": {
"address": {
"data": {
"type": "addresses",
"attributes": {
"name": "Jane Smith",
"address_1": "456 High Street",
"postcode": "AB3 4EF",
"country_code": "GB",
"email_address": "[email protected]",
"phone_number": "+44 20 7946 0958"
}
}
}
}
}
}
Line Item Operations
| Operation | Fields Required | Description |
|---|---|---|
ADD | attributes | Add new line item |
UPDATE | id, attributes | Modify existing line |
REMOVE | id | Delete line from order |
Address
To update the delivery address, provide it indata.relationships.address (not in data.attributes).Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the goods out order to update
Body
application/json
Show child attributes
Show child attributes
Response
Goods out updated successfully
Show child attributes
Show child attributes
⌘I

